Bug 949725 - "TypeError: 'NoneType' object is not iterable" during preparation
Summary: "TypeError: 'NoneType' object is not iterable" during preparation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedup
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Will Woods
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-08 20:21 UTC by Alen Siljak
Modified: 2013-12-22 05:34 UTC (History)
2 users (show)

Fixed In Version: fedup-0.8.0-3.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-19 07:21:27 UTC


Attachments (Terms of Use)
fedup-cli log (2.44 KB, text/x-log)
2013-04-08 20:24 UTC, Alen Siljak
no flags Details

Description Alen Siljak 2013-04-08 20:21:40 UTC
Description of problem:
I have tried fedup on a working Fedora 18 system. However, it blows up as soon as the repositories are being updated with an error message (see below).


Version-Release number of selected component (if applicable):
latest, as of 2013-04-08

How reproducible:
sudo fedup-cli --network 18 --debuglog fedupdebug.log

Steps to Reproduce:
1. run "sudo fedup-cli --network 18 --debuglog fedupdebug.log" from terminal
  
Actual results:

repodata (scootersoftware) 100% [==============================================]Traceback (most recent call last):
  File "/bin/fedup-cli", line 285, in <module>
    main(args)
  File "/bin/fedup-cli", line 228, in main
    pkgs = download_packages(f)
  File "/bin/fedup-cli", line 59, in download_packages
    f.download_packages(updates, callback=output.DownloadCallback())
  File "/usr/lib/python2.7/site-packages/fedup/download.py", line 181, in download_packages
    if set(updates) != set(pkgs):
TypeError: 'NoneType' object is not iterable


Expected results:
Fedora 19 upgrade preparation process.

Additional info:

Comment 1 Alen Siljak 2013-04-08 20:24:41 UTC
Created attachment 732820 [details]
fedup-cli log

Log file for the upgrade preparation process.
(sudo fedup-cli --network 18 --debuglog fedupdebug.log)

Comment 2 Will Woods 2013-10-09 19:39:16 UTC
Should be fixed by https://github.com/wgwoods/fedup/commit/6dc7ca3

Comment 3 Fedora Update System 2013-12-11 22:11:46 UTC
fedup-0.8.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc19

Comment 4 Fedora Update System 2013-12-11 22:20:00 UTC
fedup-0.8.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc20

Comment 5 Fedora Update System 2013-12-11 22:21:54 UTC
fedup-0.8.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc18

Comment 6 Fedora Update System 2013-12-13 05:09:08 UTC
Package fedup-0.8.0-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedup-0.8.0-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23316/fedup-0.8.0-3.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-12-19 07:21:27 UTC
fedup-0.8.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-12-20 01:44:05 UTC
fedup-0.8.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-12-22 05:34:14 UTC
fedup-0.8.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.